# xarray.core.groupby.DatasetGroupBy.where

`DatasetGroupBy.``where`(cond, other=<NA>)

  Return elements from self or other depending on cond.

  Parameters:

  cond : DataArray or Dataset with boolean dtype

  > Locations at which to preserve this objects values.

  other : scalar, DataArray or Dataset, optional

  > Value to use for locations in this object where `cond` is False. By default, inserts missing values.

  Returns: | same type as the grouped object

  See also

  `Dataset.where`